QGIS Application - Bug report #12731
Error using "Number of unique values in classes" algorithm
2015-05-11 12:27 PM - Luca Lanteri

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20831
Description

The "Number of unique values in classes" Progessing algorithm returns:
"Algorithm Number of unique values in classes starting...
name 'QgsField' is not defined See log for more details”

Associated revisions

Revision 426596¢2 - 2015-05-20 10:44 AM - Alexander Bruy

[processing] fix Number of unique values in classes alg (fix #12731)

Revision b16b8742 - 2015-05-20 10:47 AM - Alexander Bruy

[processing] fix Number of unique values in classes alg (fix #12731)

History

#1 - 2015-05-11 12:37 PM - Giovanni Manghi

- Affected QGIS version changed from 2.8.1 to master
- OS version deleted (MINT)

- Operating System deleted (LINUX)

complete python error is

Uncaught error while executing algorithm
Traceback (most recent call last):
Traceback (most recent call last):
File "/usr/share/qgis/python/plugins/processing/core/GeoAlgorithm.py", line 232, in execute
self.processAlgorithm(progress)
File "/usr/share/qgis/python/plugins/processing/script/ScriptAlgorithm.py", line 265, in processAlgorithm
exec(script) in ns
File "<string>", line 11, in <module>

NameError: name 'QgsField' is not defined

#2 - 2015-05-20 01:46 AM - Alexander Bruy
- Status changed from Open to Closed
Fixed in changeset commit:"426596c29faef4b0c233949d47fe947df9d6bfe9".

#3 - 2015-05-20 01:47 AM - Alexander Bruy
- Resolution set to fixed/implemented

Also backported to 2.8
